(function($){

	$(function(){
		if($('#footerGmap').css('display') != 'none'){
			// Google Mapを描画する要素のid名を指定 (div#footerGmap)
			drawMap('#footerGmap');
		}
		if($('body').hasClass('company')){
			// Google Mapを描画する要素のid名を指定 (div#accessmap)
			drawMap('#accessmap');
		}
	});
	
	function drawMap(elmid){

		// 目的地点の緯度経度を指定する
		var latlngTo  = new google.maps.LatLng( 35.71354, 139.70667 ); 

		// 出発地点の緯度経度を指定する
		var latlngFrom = new google.maps.LatLng( 35.71361, 139.70428 );
		
		// 目的地点に表示するアイコン画像ファイルのパスを指定 (w52px * h61px)
		// このjsファイルからではなく、HTMLファイルを起点とした相対パスで指定すること
		var markerpath = "images/map-maker.png";
		
		var mapOptions = {
			zoom: 16,
			center: latlngTo,
			mapTypeId: google.maps.MapTypeId.ROADMAP,		//デフォルトの地図タイプを指定 (ROADMAP | SATELLITE | HYBRID | TERRAIN)
			mapTypeControl: false,			//地図タイプのコントロールを表示/非表示
			streetViewControl: false,		//ストリートビューのコントロールを表示/非表示
			scaleControl: true					//拡大縮小のコントロールを表示/非表示
		};

		var mapObj = new google.maps.Map($(elmid)[0], mapOptions);

		var directionsRenderer = new google.maps.DirectionsRenderer();
		directionsRenderer.setOptions({
			suppressMarkers: true
		});
		directionsRenderer.setMap(mapObj);

		var request = {
			destination: latlngTo,
			origin: latlngFrom,
			travelMode: google.maps.DirectionsTravelMode.WALKING
		};

		var directionsService = new google.maps.DirectionsService();
		directionsService.route(request, function(result, status){
			if (status == google.maps.DirectionsStatus.OK) {
				directionsRenderer.setDirections(result);
			}
		});

		var markerImg = new google.maps.MarkerImage(
			markerpath,
			new google.maps.Size(52, 61),
			new google.maps.Point(0, 0),
			new google.maps.Point(26, 61)
		);
		var marker = new google.maps.Marker({
			position: latlngTo,
			map: mapObj,
			icon: markerImg,
			title: 'Here!'
		});

	}
})(jQuery);
